Skip to main content
GET
/
v1
/
devices
Get Devices
curl --request GET \
  --url https://api.nox.energy/v1/devices \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "model": "model_g",
      "brand": "nibe",
      "country": "BE",
      "device_id": "01a5c222-5b76-4531-b587-5deeb81a3db3",
      "user_id": "user_4",
      "device_type": "heat_pump",
      "legionella_config": {
        "frequency_per_weeks": 1,
        "capacity": 20,
        "duration_minutes": 60
      },
      "cycle_config": {
        "max_cycles_per_day": 8
      },
      "steerable_status": {
        "steering_enabled": true,
        "steerable": true,
        "DHW": {
          "can_activate_action": true,
          "in_active_action": false,
          "reason": "Device is ready to receive an action."
        },
        "room": {
          "can_activate_action": true,
          "in_active_action": false,
          "reason": "Device is ready to receive an action."
        }
      },
      "needs_reauthentication": false
    },
    {
      "model": "model_b",
      "brand": "nibe",
      "device_id": "01bbbaab-159a-4898-bcba-d81acdb2353c",
      "user_id": "user_5",
      "device_type": "heat_pump",
      "legionella_config": {
        "frequency_per_weeks": 2,
        "capacity": 20,
        "duration_minutes": 60
      },
      "cycle_config": {
        "max_cycles_per_day": 6
      },
      "steerable_status": {
        "steering_enabled": true,
        "steerable": true,
        "DHW": {
          "can_activate_action": true,
          "in_active_action": false,
          "reason": "Device is ready to receive an action."
        },
        "room": {
          "can_activate_action": true,
          "in_active_action": false,
          "reason": "Device is ready to receive an action."
        }
      },
      "needs_reauthentication": false
    }
  ],
  "meta": {
    "energy_supplier": "Energy Supplier A",
    "capacity_unit": "kWh",
    "next_token": "eyJkZXZpY2VfaWQiOiAiMDFiYmJhYWItMTU5YS00ODk4LWJjYmEtZDgxYWNkYjIzNTNjIiwgImVuZXJneV9zdXBwbGllciI6ICJFbmVyZ3kgU3VwcGxpZXIgQSJ9"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

limit
integer
default:1000

The maximum number of items to return per page of results.

This should be used together with the next_token parameter to paginate through results.

Read the pagination parameter documentation for more details.

Required range: 1 <= x <= 4000
steerable_status
boolean
default:false

If true, return only data related to the device's current steerable status.

If false or not given, return all available device data including its status.

steering_enabled
boolean
default:false

If true, return only data related to the device's which has steering_enabled = true.

If false or not given, do not filter on steering_enabled field.

steerable
boolean
default:false

If true, return only data related to the device's which has steerable = true.

If false or not given, do not filter on steerable field.

next_token
string | null

The next_token is a token used to retrieve the next page of results when there are more results than can fit in a single page(=API response).

By default, the API will return a next_token of the first page if no token was given as a parameter.

If the token is null you have reached the end of the results.

This should be used together with the limit parameter to paginate through results.

To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.

device_id
string | null

The ID of the device to filter on. If not provided, all devices are returned.

user_id
string | null

The ID of the user to filter on. If not provided, all users are returned.

needs_reauthentication
boolean | null
default:false

If True, filter devices that need reauthentication.

learning_period_ended
boolean | null

If True, filter devices for which the learning period of gathering data has ended.

If False, filter devices for which the learning period of gathering data has not ended.

If None, do not filter based on learning period status.

Response

Successful response for thermal-control API

Response model for devices endpoint.

data
Device · object[] | null

List of devices

meta
DevicesMeta · object

Response metadata